View Issue Details

IDProjectCategoryView StatusLast Update
0002328SOGo ConnectorGUIpublic2014-02-04 13:54
ReporterMichelR Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Fixed in Version24.0.4 
Summary0002328: provide some visual feedback for sync
Description

Sogo Connector for Thunderbird v17.0.5

There is no visual feedback while syncing:

  • a first idea would be to show a progress bar (finite or infinite ?) in the status bar of address book window (bottom right)
  • or maybe use the std notification framework ? (as an option, just like visual notification for new mail)

It's a complement of bug 0001044 (http://sogo.nu/bugs/view.php?id=1044) : ask for visual feedback if sync error.

TagsNo tags attached.

Activities

2013-08-15 09:10

 

notification2_michelr.diff (Attachment missing)
MichelR

MichelR

2013-08-15 09:11

reporter   ~0005898

I just added a small patch that allow to show the progress bar for 1 sec when saving a card.

I don't know ig it's the tright way to do, or if it generates some side effects.
But from a user point of view, it's a much better feedback.

ludovic

ludovic

2014-02-04 13:54

administrator   ~0006492

https://github.com/inverse-inc/sogo-connector.tb24/commit/88b2a7fdac4b32f9837146bd5ddd793b7976577e

Issue History

Date Modified Username Field Change
2013-05-28 06:53 MichelR New Issue
2013-08-15 09:10 MichelR File Added: notification2_michelr.diff
2013-08-15 09:11 MichelR Note Added: 0005898
2013-09-17 15:37 jraby Status new => assigned
2013-09-17 15:37 jraby Assigned To => jraby
2014-02-04 13:54 ludovic Note Added: 0006492
2014-02-04 13:54 ludovic Status assigned => closed
2014-02-04 13:54 ludovic Assigned To jraby => ludovic
2014-02-04 13:54 ludovic Resolution open => fixed
2014-02-04 13:54 ludovic Fixed in Version => 24.0.4